import matplotlib.pyplot as plt
numargs = genexpon.numargs
[ a, b, c ] = [0.9,] * numargs
rv = genexpon(a, b, c)

# Display frozen pdf

x = np.linspace(0, np.minimum(rv.dist.b, 3))
h = plt.plot(x, rv.pdf(x))

# Check accuracy of cdf and ppf

prb = genexpon.cdf(x, a, b, c)
h = plt.semilogy(np.abs(x - genexpon.ppf(prb, a, b, c)) + 1e-20)

# Random number generation

R = genexpon.rvs(a, b, c, size=100)
